{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Список страниц" %}


{% block heading %}
    <div class="content-header">
        <h1 class="content-header__title">{{ title }}</h1>
        <div class="content-header__content">
            <a href="#" class="btn btn-primary">Добавление сотрудника</a>
        </div>

    </div>
{% endblock %}

{% block main %}


    <div class="card">
        <div class="card-header">
            <div class="position-relative has-icon-left  mr-1 mb-1" style="flex-grow: 1;">
                <input type="text" class="form-control" id="iconLeft" placeholder="Поиск сотрудника, магазина, должности">
                <div class="form-control-position">
                    <i class="bx bx-search"></i>
                </div>
            </div>
            <button class="btn btn-primary mr-1 mb-1" type="button">Поиск</button>
            <div class="btn-group mr-1 mb-1">
                <div class="dropdown">
                    <button class="btn btn-outline-primary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Сортировка</button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton" style="">
                        <a class="dropdown-item" href="javascript:void(0);">Новые</a>
                        <a class="dropdown-item" href="javascript:void(0);">По алфавиту</a>
                        <a class="dropdown-item" href="javascript:void(0);">По цене</a>
                    </div>
                </div>
            </div>
        </div>
        <!-- datatable start -->
        <div class="table-responsive">
            <table id="table-extended-checkbox" class="table table-transparent table-hover">
                <thead>
                <tr>
                    <th></th>
                    <th class="pl-0">ID</th>
                    <th>Имя</th>
                    <th>Магазин</th>
                    <th class="text-center">Должность</th>
                    <th class="text-center">Редактировать</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00956</a></td>
                    <td>Алексей</td>
                    <td>Пушкина 32</td>
                    <td class="text-center">
                        <span class="badge badge-light-danger badge-pill badge-round">директор</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00976</a></td>
                    <td>Максим</td>
                    <td>Мясникова 44</td>
                    <td class="text-center">
                        <span class="badge badge-light-success badge-pill badge-round">Курьер</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00855</a></td>
                    <td>Олег</td>
                    <td>Мясникова 44</td>
                    <td class="text-center">
                        <span class="badge badge-light-warning badge-pill badge-round">Сборщик</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00956</a></td>
                    <td>Алексей</td>
                    <td>Пушкина 32</td>
                    <td class="text-center">
                        <span class="badge badge-light-danger badge-pill badge-round">директор</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00576</a></td>
                    <td>Маша</td>
                    <td>Мясникова 11</td>
                    <td class="text-center">
                        <span class="badge badge-light-success badge-pill badge-round">Курьер</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00997</a></td>
                    <td>Ирина</td>
                    <td>Пушкина 11</td>
                    <td class="text-center">
                        <span class="badge badge-light-warning badge-pill badge-round">Сборщик</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00885</a></td>
                    <td>Артем</td>
                    <td>Пушкина 11</td>
                    <td class="text-center">
                        <span class="badge badge-light-warning badge-pill badge-round">Сборщик</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00971</a></td>
                    <td>Дмитрий</td>
                    <td>Пушкина 32</td>
                    <td class="text-center">
                        <span class="badge badge-light-danger badge-pill badge-round">директор</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00976</a></td>
                    <td>Максим</td>
                    <td>Мясникова 44</td>
                    <td class="text-center">
                        <span class="badge badge-light-success badge-pill badge-round">Курьер</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td class="pl-0"><a href="#">00272</a></td>
                    <td>Елена</td>
                    <td>Мясникова 28</td>
                    <td class="text-center">
                        <span class="badge badge-light-warning badge-pill badge-round">Сборщик</span>
                    </td>
                    <td class="text-center">
                        <a href="#">
                            <i class="bx bx-edit-alt"></i>
                        </a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        <!-- datatable ends -->
    </div>

    <ul class="pagination justify-content-end mt-2">
        <li class="page-item previous disabled">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-left"></i>
            </a>
        </li>
        <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">7</a></li>
        <li class="page-item next">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-right"></i>
            </a>
        </li>
    </ul>

{% endblock %}


{% block scripts %}

    <script>
        var tablecheckbox = $('#table-extended-checkbox').DataTable({
            "searching": false,
            "lengthChange": false,
            "paging": false,
            "bInfo": false,
            'columnDefs': [
                { "orderable": false, "targets": [0, 5] },   //to disable sortying in col 0,3 & 4
                {
                    'targets': 0,
                    'render': function (data, type, row, meta) {
                        if (type === 'display') {
                            data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'; //body checkbox
                        }
                        return data;
                    },
                    'checkboxes': {
                        'selectRow': true,
                        'selectAllRender': '<div class="checkbox"><input type="checkbox" class="dt-checkboxes" checked=""><label></label></div >'  //head checkbox
                    }
                }],
            'select': 'multi',
            'order': [[1, 'asc']]
        });
    </script>

{% endblock %}

